API ReferenceWallet providers
Update a wallet provider
PUT
/v2/presentations/wallet-providers/{walletProviderId}Updates an existing wallet provider that can present mDocs for online verification.
Roles
adminverifier
Analytics Events
CREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_STARTCREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_SUCCESSCREDENTIAL_PRESENTATION_WALLET_PROVIDER_UPDATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
walletProviderId*string
Unique identifier for the wallet provider.
Format
uuidRequest Body
application/json
Wallet provider payload
TypeScript Definitions
Use the request body type in TypeScript.
Request payload for verifier wallet provider
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v2/presentations/wallet-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "openid4vpConfiguration": { "authorizationEndpoint": "string" } }'{ "id": "string", "name": "string", "openid4vpConfiguration": { "authorizationEndpoint": "string" }}How would you rate this page?